# class TkKernel

### Public Class Methods

new(*args) click to toggle source

    static VALUE
    tk_s_new(argc, argv, klass)
        int argc;
        VALUE *argv;
        VALUE klass;
    {
        VALUE obj = rb_class_new_instance(argc, argv, klass);

        if (rb_block_given_p()) {
    #ifndef HAVE_RB_OBJ_INSTANCE_EXEC
          rb_obj_instance_eval(0, 0, obj);
    #else
          rb_obj_instance_exec(1, &obj, obj);
    #endif
        }
        return obj;
    }